Bug 1416524 - send_email does not send emails from automations
Summary: send_email does not send emails from automations
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Greg McCullough
QA Contact: Milan Falešník
URL:
Whiteboard: automate:email
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 17:20 UTC by Felix Dewaleyne
Modified: 2020-03-11 15:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-26 22:27:22 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2017-01-25 17:20:15 UTC
Description of problem:
$evm.execute(:send_email,from,to,subject,body) calls do not send emails from automations

Version-Release number of selected component (if applicable):
5.7.0.17-1

How reproducible:
all the time

Steps to Reproduce:
1.create an automation that sends a simple email
2.trigger it
3.

Actual results:
no email is sent, no error raised

Expected results:
emails are snt

Additional info:
automation notification do not seem to work either.
testing email from the provider does not seem broken

Comment 3 Dave Johnson 2017-01-25 19:47:38 UTC
Milan, can you take a look at this one and add a automated test around it please.

Comment 4 Milan Falešník 2017-01-26 13:17:38 UTC
I have just tested it on 5.7.1.0.

1) I have turned on the Notification role
2) I waited a couple of minutes
3) I tried to use this both from rails console and a method

It worked. It took a couple of minutes between the notification role enablement and the emails sending, but it works.

felix, maybe you forgot something?

Comment 5 Dave Johnson 2017-01-26 22:27:22 UTC
Please re-open if we determine a more specific issue as it relates to no emails.

Comment 6 Felix Dewaleyne 2017-02-27 10:49:43 UTC
(In reply to Milan Falešník from comment #4)
> I have just tested it on 5.7.1.0.
> 
> 1) I have turned on the Notification role
> 2) I waited a couple of minutes
> 3) I tried to use this both from rails console and a method
> 
> It worked. It took a couple of minutes between the notification role
> enablement and the emails sending, but it works.
> 
> felix, maybe you forgot something?

I think it was a problem with the delay in starting the worker, probably. it seems to work now.


Note You need to log in before you can comment on or make changes to this bug.